=== debian/changelog ===
deepin-downloader (5.3.77) stable; urgency=medium

  * changelog 5.3.77.

 -- houchengqiu <houchengqiu@uniontech.com>  Tue, 12 Nov 2024 11:22:34 +0800
