## deepin-downloader 6.0.4

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

#加载子模块
add_subdirectory(src)
