=== src/src/database/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 )
 
 #需要生成的moc文件，输出文件名称放在变量 mocfiles中，必须在find QT5 package才能调用
-QT5_WRAP_CPP (DWM_DATABASE_HEADERS_MOC ${DWM_DATABASE_HEADERS})
+qt_wrap_cpp (DWM_DATABASE_HEADERS_MOC ${DWM_DATABASE_HEADERS})
 
 #设置输出dll的名称、类型(动态库、静态库)及所用到的文件
 add_library(dlmdatabase SHARED
@@ -26,6 +26,6 @@
     ${DWM_DATABASE_HEADERS_MOC}
 )
 
-target_link_libraries(dlmdatabase dlmlog Qt5::Core Qt5::Widgets Qt5::Sql)
+target_link_libraries(dlmdatabase dlmlog Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Sql)
 
 #install(TARGETS dlmdatabase DESTINATION lib)
