=== debian/changelog ===
deepin-downloader (6.0.4) unstable; urgency=medium

  * chore: New version 6.0.4.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 13:50:47 +0800

deepin-downloader (6.0.3) unstable; urgency=medium

  * fix: update translations and config.

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 19:06:24 +0800

deepin-downloader (6.0.2) unstable; urgency=medium

  * chore: New version 6.0.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 15 Feb 2025 14:27:35 +0800

deepin-downloader (6.0.1) stable; urgency=medium

  * changelog 6.0.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 11:26:42 +0800
