=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  debhelper (>= 12),
  cmake,
  pkg-config,
- libqt5widgets5,
- qtbase5-dev,
- qttools5-dev,
- libqt5network5,
- libqt5webchannel5-dev,
- libqt5websockets5-dev,
- libdtkwidget-dev,
- libdtkgui-dev,
- libdframeworkdbus-dev,
+ libqt6widgets6,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-svg-dev,
+ qt6-l10n-tools,
+ libqt6network6,
+ qt6-webchannel-dev,
+ qt6-websockets-dev,
+ libdtk6widget-dev,
+ libdtk6gui-dev,
  libgtest-dev,
  libgmock-dev,
  sqlite3,
