=== debian/changelog ===
deepin-downloader (6.0.9) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 26 Jun 2025 14:16:21 +0800

deepin-downloader (6.0.8) unstable; urgency=medium

  * fix bug

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 24 Jun 2025 17:31:42 +0800

deepin-downloader (6.0.7) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 13:05:21 +0800

deepin-downloader (6.0.6) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:48:34 +0800

deepin-downloader (6.0.5) unstable; urgency=medium

  * chore: update translations.
  * [deepin-downloader] Updates for project Deepin Downloader (#83)

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:08:45 +0800
