## deepin-downloader 6.0.12

=== src/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

#加载子模块
add_subdirectory(log)
#add_subdirectory(monitor)
add_subdirectory(aria2)
add_subdirectory(database)
add_subdirectory(ui)
add_subdirectory(downloader)
add_subdirectory(extensionService)
