=== debian/changelog ===
deepin-downloader (6.0.12) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:25:31 +0800

deepin-downloader (6.0.11) unstable; urgency=medium

  * update version to 6.0.11.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 21:01:49 +0800

deepin-downloader (6.0.10) unstable; urgency=medium

  * update version to 6.0.10.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 20:01:22 +0800
