## deepin-downloader 6.0.14

=== debian/changelog ===
deepin-downloader (6.0.14) unstable; urgency=medium

  * feat: Update translations for Lao locale (#104)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 17:46:18 +0800

deepin-downloader (6.0.13) unstable; urgency=medium

  * Update version to 6.0.13. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 17:54:02 +0800
