=== debian/changelog ===
deepin-downloader (6.0.16) unstable; urgency=medium

  * fix(diagnostic): Stabilize DHT determination and ensure automatic refresh of diagnostic results

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 18 Sep 2025 19:32:48 +0800

deepin-downloader (6.0.15) unstable; urgency=medium

  *Update version to 6.0.15. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 21 Aug 2025 15:46:14 +0800
